summaryrefslogtreecommitdiff
path: root/games-simulation/openttd/files/openttd.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-02-05 12:26:57 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-02-05 12:26:57 +0000
commitcb174c2d285f87604bc43b7027efa65db510eec0 (patch)
tree57ef5d93998fbbdc13659c645352e72375190669 /games-simulation/openttd/files/openttd.initd
parentebc4b7d0a2f22cd4a5f7d656468dd3aa44399c75 (diff)
take over maintanership of openttd for now, till we stabilise newer dev-libs/icu
Diffstat (limited to 'games-simulation/openttd/files/openttd.initd')
-rw-r--r--games-simulation/openttd/files/openttd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/games-simulation/openttd/files/openttd.initd b/games-simulation/openttd/files/openttd.initd
new file mode 100644
index 00000000..a14cf6d2
--- /dev/null
+++ b/games-simulation/openttd/files/openttd.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting OpenTTD dedicated server"
+ start-stop-daemon --start -q --exec /usr/games/bin/openttd -- -D -f > /dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OpenTTD dedicated server"
+ start-stop-daemon --stop -q -n openttd
+ eend $?
+}